GNAT 4.2 Transition Tracking Bug

Bug #268260 reported by Michael Casadevall on 2008-09-09
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
adabrowse (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
adacontrol (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
asis (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
gnade (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
gnat-4.2 (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
gnat-glade (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
gnat-gps (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
libaws (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
libflorist (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
libgtkada2 (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
libopentoken (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
libtemplates-parser (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
libxmlada2 (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
music123 (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned

Bug Description

This bug tracks the transition status on all ada packages that need to be transitioned due to gnat-4.2. A spec is in place here: https://wiki.edubuntu.org/HardyGnatTransition

The following packages are affected and have patches properly created already..

adabrowse
adacontrol
asis (Bug #268458) - patch posted
libaws
libflorist
libgtkada2
libxmlada2
libopentoken
libtemplates-parser
gnat-glade
music123

The following packages still need work:

gnat-gps (needs discussion due to current policy violation issue)

description: updated
description: updated
description: updated
description: updated
description: updated

Here's a patch for asis, fixing the code to build on gnat 4.2

Another one for music123

adabrowse no changes debdiff

adacontrol

Changed in gnat-4.2:
status: In Progress → Invalid
Changed in adabrowse:
status: New → Invalid
Changed in adacontrol:
status: New → Invalid
Changed in asis:
status: New → Invalid
Changed in gnat-glade:
status: New → Invalid
Changed in gnat-gps:
status: New → Invalid
Changed in libaws:
status: New → Invalid
Changed in libflorist:
status: New → Invalid
Changed in libgtkada2:
status: New → Invalid
Changed in libopentoken:
status: New → Invalid
Changed in libtemplates-parser:
status: New → Invalid
Changed in libxmlada2:
status: New → Invalid
Changed in music123:
status: New → Invalid
Luca Falavigna (dktrkranz) wrote :

libflorist
libgtkada2
libxmlada2
libopentoken
libtemplates-parser
gnat-glade
music123

I won't proceed with the packages above. They (build-)depends on gnat-4.1 and should be usable in Hardy.

Changed in gnat-4.2:
status: New → Invalid
Changed in adabrowse:
status: New → Confirmed
Changed in adacontrol:
status: New → Confirmed
Changed in asis:
status: New → Confirmed
Changed in gnat-glade:
status: New → Invalid
Changed in libaws:
status: New → Confirmed
Changed in libflorist:
status: New → Invalid
Changed in libgtkada2:
status: New → Invalid
Changed in libopentoken:
status: New → Invalid
Changed in libtemplates-parser:
status: New → Invalid
Changed in libxmlada2:
status: New → Invalid
Changed in music123:
status: New → Invalid
Changed in gnat-4.2:
importance: Low → Undecided
Changed in gnade:
status: New → Invalid
status: New → Confirmed
Luca Falavigna (dktrkranz) wrote :

To have this transition done, this is the correct order to follow:
asis -> libaws -> stand-alone packages

I'll review changes and eventually upload packages following the order above.

Changed in libtemplates-parser:
status: Invalid → Confirmed
Changed in libgtkada2:
status: Invalid → Confirmed
Matthias Klose (doko) wrote :

thanks for taking care of this in hardy.

> To have this transition done, this is the correct order to follow:
> asis -> libaws -> stand-alone packages

please could you adjust the build dependency in libaws to require the new asis version, then upload these two packages first?

Changed in libxmlada2:
status: Invalid → Confirmed
Luca Falavigna (dktrkranz) wrote :

After some investigations, here is the plan to complete the transition:

1) These packages need to be uploaded first, since they are core platform:
* asis
* libgtkada2
* libtemplates-parser
* libxmlada

2) These packages require previous ones to be available and need to be uploaded later:
* adabrowse
* adacontrol
* gnade
* libaws

3) gnat-gps requires new libaws and some fixes.

Luca Falavigna (dktrkranz) wrote :

asis 2005-5ubuntu0.1 uploaded to hardy-proposed.

Luca Falavigna (dktrkranz) wrote :

libgtkada2 2.8.1-6ubuntu0.1 uploaded to hardy-proposed

Luca Falavigna (dktrkranz) wrote :

libgtkada2 2.8.1-6ubuntu0.1 uploaded to hardy-proposed

Luca Falavigna (dktrkranz) wrote :

libtemplates-parser 10.0+20060522-5ubuntu0.1 uploaded to hardy-proposed.

Luca Falavigna (dktrkranz) wrote :

libxmlada2 2.2-7ubuntu0.1 uploaded to hardy-proposed.

Jonathan Riddell (jr) wrote :

Waiting on approval from motu-sru

John Dong (jdong) wrote :

Reviewed and okay to accept:
libxmlada2_2.2-7ubuntu0.1
libtemplates-parser 10.0+20060522-5ubuntu0.1
libgtkada2 2.8.1-6ubuntu0.1
asis 2005-5ubuntu0.1

~motu-sru

Jonathan Riddell (jr) wrote :

Accepted libtemplates-parser asis libxmlada2 libgtkada2 into hardy-proposed, please test.

Changed in asis:
status: Confirmed → Fix Committed
Changed in libgtkada2:
status: Confirmed → Fix Committed
Changed in libtemplates-parser:
status: Confirmed → Fix Committed
Changed in libxmlada2:
status: Confirmed → Fix Committed
Luca Falavigna (dktrkranz) wrote :

adabrowse 4.0.2-5ubuntu0.1 uploaded to hardy-proposed.

Luca Falavigna (dktrkranz) wrote :

adacontrol 1.6r8-1ubuntu0.1 uploaded to hardy-proposed.

Luca Falavigna (dktrkranz) wrote :

gnade 1.6.1-2ubuntu2.1 uploaded to hardy-proposed.

Luca Falavigna (dktrkranz) wrote :

libaws 2.2dfsg-1ubuntu0.1 uploaded to hardy-proposed.

Luca Falavigna (dktrkranz) wrote :

gnat-gps requires lot of work (porting to python2.4 or python2.5), unless there is a strong rationale, I'd leave it untouched for now.

Changed in gnat-gps:
status: New → Won't Fix
Martin Pitt (pitti) wrote :

adacontrol, adabrowse, gnade, libaws accepted into hardy-proposed.

Changed in adacontrol:
status: Confirmed → Fix Committed
Changed in adabrowse:
status: Confirmed → Fix Committed
Changed in gnade:
status: Confirmed → Fix Committed
Changed in libaws:
status: Confirmed → Fix Committed

I tested the adabrowser and adacontrol, and gnade applications which appear to work fine. They are installable now which already is a massive improvement from before. Tagging verification-successful

Martin Pitt (pitti) wrote :

Copied to -updates.

Changed in adabrowse:
status: Fix Committed → Fix Released
Changed in adacontrol:
status: Fix Committed → Fix Released
Changed in libxmlada2:
status: Fix Committed → Fix Released
Changed in asis:
status: Fix Committed → Fix Released
Changed in libtemplates-parser:
status: Fix Committed → Fix Released
Changed in gnade:
status: Fix Committed → Fix Released
Changed in libgtkada2:
status: Fix Committed → Fix Released
Changed in libaws:
status: Fix Committed → Fix Released
To post a comment you must log in.